/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Engine            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef ENGINE_H_
#define ENGINE_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <curses.h>
#include <unistd.h>

/*---------------------------------------------------------------------------*/

class Game
{
public:	
	/* Sort */
	int X, Y, FIGU, FELD;
	int E1, E2, E3, E4, E5;
	int C1, C2, C3, C4, C5, L1, L2;
	int F1, F2, F3, S1, S2, T1, T2;

	char emove[200];
	char amove[200];
	char cengine[25][25][10][2];
	char matrix[10][2][2][2];

	Game();
	/* Function */
	void material();
	void notation();
	void engine(int T1,int T2,int L1);
	void king(int T1,int T2);
	void queen(int T1,int T2);
	void turm(int T1,int T2);
	void springer(int T1,int T2);
	void bishop(int T1,int T2);
	void people1(int T1,int T2);
	void people2(int T1,int T2);
	void sort(char *nmove);
};

/*---------------------------------------------------------------------------*/

#endif
