/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Cboard            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef BOARD_H_
#define BOARD_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <curses.h>
#include <ctime>
#include "setting.h"
#include "move.h"
#include "engine.h"
/* Define Array */
#define HIGH 9
#define LOW 9
/* Define Buffer */
#define MOV 5

//-----------------------------------------------------------------------------

class Cboard
{	
public:	
	/* Player */
	char nmove[MOV];
	char player[10];
	short int count;
	float DUMP, HORIZ, VERTI;

	/* Class Move */
	struct uciMove
	{
		char fxdec, fydec, txdec, tydec;
		short int fxm, txm, fym, tym, tzm;

	}mov1, mov8;

	/* Class Engine */
	struct uciEngine
	{
		/* Clock */
		double diff;
		short int time, horas, minutes, seconds;
		time_t start, stop;

	}etime, wtime, btime;

	/* Function */
	Cboard();
	void displayBoard(char *chess);
};

//-----------------------------------------------------------------------------

#endif
